Worlds
Search worlds
Paginated full-text search for worlds, or fetch by IDs.
Authorization
bearerAuthorizationBearer token
User session token. Obtained from POST /api/auth/login.
In: header
Query Parameters
server*string
query*string
limit*string
offset*string
Response Body
application/json
curl -X GET "https://loading/api/worlds?server=string&query=string&limit=string&offset=string"{
"data": {
"total": 100,
"limit": 10,
"offset": 0,
"items": [
{
"id": 1,
"name": "myworld",
"title": "My World",
"description": "A beautiful virtual space",
"thumbnail": null,
"tags": [],
"capacity": 32,
"release": 1,
"server": "my-server.com",
"owner": "1@my-server.com",
"contributors": [],
"alias": [
{
"key": "iid",
"value": "1@my-server.com"
}
]
}
]
},
"error": null,
"time": 1680000000000,
"request": "/api/endpoint"
}